function getValueByKey(key) {
    return new Promise(resolve => {
        chrome.storage.local.get([key]).then((data) => {
            resolve(data[key])
        })
    })
}

function setRedirectMode(value) {
    chrome.storage.local.set({ redirectMode: value })
}

function setCopyMode(value) {
    chrome.storage.local.set({ copyMode: value })
}

function setAutoAuthMode(value) {
    chrome.storage.local.set({ autoAuthMode: value })
}

function setAutoAuthLogin(value) {
    chrome.storage.local.set({ autoAuthLogin: value })
}

function setAutoAuthPassword(value) {
    chrome.storage.local.set({ autoAuthPassword: value })
}
